dpkg-name(1)

NOM
dpkg-name - Redonne aux paquets Debian leur nom complet

SYNOPSIS
dpkg-name [option...] [--] fichier...

DESCRIPTION
Cette page de manuel documente le programme dpkg-name qui fournit une façon simple de redonner aux paquets Debian leur nom complet. Ce nom consiste en une chaîne paquet_version_architecture.type-de-paquet telle qu'elle est indiquée dans le fichier « control » du paquet. La partie version du nom est composée d'informations sur la version originelle qui peuvent ou non être suivies d'un trait d'union et d'informations sur la révision. La partie type-de-paquet provient de ce champ s'il existe. La valeur par défaut est deb.

OPTIONS

-a, --no-architecture
    Le nom du fichier n'aura pas l'information sur l'architecture.

-k, --symlink
    Fait un lien symbolique plutôt qu'une transposition.

-o, --overwrite
    Remplace des fichiers existants s'ils ont le même nom que le fichier de destination.

-s, --subdir [rep]
    Files will be moved into a subdirectory. If the directory given as argument exists the files will be moved into that directory otherwise the name of the target directory is extracted from the section field in the control part of the package. The target directory will be «unstable/binary-architecture/section». If the section is not found in the control, then no-section is assumed, and in this case, as well as for sections non-free and contrib the target directory is «section/binary-architecture». The section field is not required so a lot of packages will find their way to the no-section area.

    Warning: Use this option with care, it is messy.

-c, --create-dir
    This option can used together with the -s option. If a target directory isn't found it will be created automatically.

    Warning: Use this option with care.

-?, --help
    Affiche un message d'aide puis quitte.

-v, --version
    Affiche le numéro de version puis quitte.

ENVIRONNEMENT

DPKG_COLORS
    Définit le mode de couleur (depuis dpkg 1.18.5). Les valeurs actuellement acceptées sont auto (par défaut), always et never.

DPKG_NLS
    Si cette variable est définie, elle sera utilisée pour décider l'activation de la prise en charge des langues (NLS – Native Language Support), connu aussi comme la gestion de l'internationalisation (ou i18n) (depuis dpkg 1.19.0). Les valeurs permises sont : 0 et 1 (par défaut).

BOGUES
Certains paquets ne respectent pas l'organisation paquet_version_architecture.deb. Les paquets traités par dpkg-name la respectent. Cela n'a pas de conséquence sur la façon dont dselect(1) ou dpkg(1) installent les paquets, mais il se peut que d'autres systèmes d'installation aient besoin de cette organisation.

EXEMPLES

dpkg-name bar-foo.deb
    Le nom du fichier bar-foo.deb devient bar-foo_1.0-2_i386.deb ou quelque chose de similaire suivant les renseignements que contient la partie de contrôle de bar-foo.deb.

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -a
    Cette commande dpkg-name redonne leur nom complet à tous les fichiers qui se trouvent dans le répertoire /root/debian et ses sous-répertoires et qui possèdent une extension deb, mais supprime l'information sur l'architecture.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    Ne faites pas ça ! L'archive sera complètement gâchée par des paquets qui ne possèdent pas d'informations sur la section. Ne faites pas ça !

dpkg-deb --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    On peut se servir de cette commande lors de la construction d'un nouveau paquet.

VOIR AUSSI
deb(5), deb-control(5), dpkg(1), dpkg-deb(1), find(1), xargs(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.